Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Viewing Details of a Synchronization Job

search

Please Note:

Viewing Details of a Synchronization Job

Use the get /v1/cckm/google/synchronization-jobs/{id} API to view the details of a particular synchronization job with the given ID.

Syntax

curl -k '<IP>/api/v1/cckm/google/synchronization-jobs/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the resource ID of the synchronization job on the CipherTrust Manager. To get the ID of a synchronization job, refer to Viewing Synchronization Status.

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/synchronization-jobs/1f1d1b1b-a17c-486f-b864-db894af6efac' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFlZWY5ZmY4LThhYjctNDUyZS04YTE4LTQ3YTYxZDg0MzAwZSIsImlhdCI6MTYyMDIwMzYxMCwiZXhwIjoxNjIwMjAzOTEwfQ.eGWVMC1yUBYbUSxr22aBPdP2Tg257k7D_5galuus2qg' --compressed

Example Response

{
    "id": "1f1d1b1b-a17c-486f-b864-db894af6efac",
    "uri": "kylo:kylo:cckm:synchronize:1f1d1b1b-a17c-486f-b864-db894af6efac",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-05-05T08:36:36.676642Z",
    "updatedAt": "2021-05-05T08:37:22.041115Z",
    "completed_at": "2021-05-05T08:37:22.040954Z",
    "overall_status": "completed",
    "detailed_status": {
        "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring": "key ring synchronized successfully"
    },
    "cloud": "gcp",
    "key_rings": [
        "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring"
    ],
    "abort": false
}

The sample output displays the details of a synchronization job with the ID "1f1d1b1b-a17c-486f-b864-db894af6efac". The "overall_status" is "completed" and "detailed_status" is "key ring synchronized successfully".

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.